
       UBREAK=0
       if test x"$UPACKINSTALLDIR" != x ; then 
         if test -e "$UPACKINSTALLDIR" ; then 
           msg 4 "$UPACKINSTALLDIR existe, no se puede continuar."
           # FALSO SI SE PUEDE, se sobreescribe y listo, esoto es solo para el caso de llamado solo
           #exit
           #BREAK=1, RESOLVER ESTO si se ejecuta source corta, poner bvreak y cortar cuando se lo llama en main
           UBREAK=1
          else
           mkdir -p $UPACKINSTALLDIR
         fi
        fi
        mkdir -p $UPACKDROOT
        mkdir -p $UPACKDINFO

       if test x"$UBREAK" != x1 ; then 
         BINPKG=$ARGUME.upackbinpkg.tar.bz2
         $DIRBIN/upack.py --unpack $PACKAGE $BINPKG $UPACKDINFO
         tar -C $UPACKDROOT -jxf $BINPKG 2>/dev/null
        else
         :
         #BREAK=1
      fi
         #UPACKINSTALLDIR=$DATABASE/$CATEGORY/$PAQUETE
         #if test -e $UPACKINSTALLDIR; then
         #  echo Ya esta instalado ese paquete, hay installdir: $PAQUETE
         #exit
         #fi
              ######### ahora instala
              #echo $COUNTER>$CACHE_PATH/counter 

              #mkdir -p ${CACHE_PATH}
              #mkdir -p ${DATABASE}
              #mkdir -p $UPACKINSTALLDIR

       
      # tar -C  $UPACKINSTALLDIR -jxf $UPKG 2>/dev/null
 
